<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('glosariums', function (Blueprint $table) {
            $table->id();
            $table->string('istilah')->index();
            $table->text('definisi');
            $table->string('asal_kata')->nullable();
            $table->text('contoh')->nullable();
            $table->integer('urutan')->default(0);
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('glosariums');
    }
};
